Skip to main content
`Ctrl`+`K`

# DMShellSetGlobalVector

sets a template global vector associated with the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalVector(DM dm, Vec X)

Logically Collective

## Input Parameters

- dm - `DMSHELL`

- X - template vector

## See Also

`DM`, `DMSHELL`, `DMCreateGlobalVector()`, `DMShellSetMatrix()`, `DMShellSetCreateGlobalVector()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/snes/tutorials/ex73f90t.F90

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages